/**
 * Copyright (c) 2018-present, Maxcom.
 */
'use strict';

import React from 'react';
import {
  requireNativeComponent,
  WebView,
} from 'react-native';
import PropTypes from "prop-types";

class MxWebView extends WebView {
  static propTypes = {
    ...WebView.propTypes,
    consoleMessageEnabled: PropTypes.bool,
    webContentsDebuggingEnabled: PropTypes.bool,
  }
}

// similar to Libraries/Components/WebView/WebView.android.js (excluding 'module.exports' syntax)
export const RCTMxWebView = requireNativeComponent('RCTMxWebView', MxWebView, WebView.extraNativeComponentConfig);
